#ifndef _graph_h
#define _graph_h

#include "hash.h"

struct Node;
struct Link;
struct PathEntry;
struct GraphHeader;

typedef struct GraphHeader *Graph;
Graph readGraph(FILE *src);

struct Node *FindNodeByName(Graph GD,char *name);

void Topsort(Graph G);
void UnweightedPathLength(Graph G, struct Node *S);

char *getGraphAuthor(void);

#endif /* _graph_h */
