#ifndef _queue_h
#define _queue_h

#include "element.h"

struct QueueRecord;
typedef struct QueueRecord *Queue;

Queue CreateQueue(int count);
void DestroyQueue(Queue Q);

void Enqueue(Queue Q, ElementType X);
ElementType Dequeue(Queue Q);
ElementType FrontOfQueue(Queue Q);

int IsEmpty(Queue Q);
int IsFull(Queue Q);

#endif /* _queue_h */
